MAKEMAP(8)

NAZWA
makemap - tworzy bazy map dla sendmaila

SKŁADNIA
makemap [-C plik] [-N] [-c rozmiar_bufora] [-d] [-D znak_komentarza] [-e] [-f] [-l] [-o] [-r] [-s] [-t ogranicznik] [-u] [-v] typ_mapy nazwa_mapy

OPIS
Makemap tworzy bazę map, używaną podczas kluczowych przeszukiwań map w sendmail(8). Odczytuje wejście ze standardowego wejścia i wypuszcza wyjście do bazy wskazanej przez nazwa_mapy.

Depending on how it is compiled, makemap handles different database formats, selected using the maptype parameter. They may be

dbm Mapy formatu DBM. Wymagają biblioteki ndbm(3).

btree
    Mapy formatu B-Tree. Wymagają nowej biblioteki Berkeley DB.

hash
    Mapy formatu hash. Również wymagają biblioteki Berkeley DB.

cdb CDB (Constant DataBase) format maps. This requires the tinycdb library.

implicit
    The first available format in the following order: hash, dbm, and cdb.

We wszystkich wypadkach makemap odczytuje ze standardowego wejścia linie składające się z dwóch słów oddzielonych od siebie spacją. Pierwsze jest kluczem bazy, a drugie wartością. Wartość może zawierać napisy "%n" wskazujące na podmiany parametrów. Aby uzyskać znak procentu, należy go podwoić ("%%"). Puste linie i linie rozpoczynające się od "#" są ignorowane.

Uwaga: Nie należy używać programu makemap do generowania bazy danych aliasów. Zamiast niego należy użyć newaliases, który do bazy danych dodaje specjalne znaczniki wymagane przez sendmaila.

Jeśli w pliku konfiguracyjnym sendmaila ustawiono opcję TrustedUser oraz makemap został uruchomiony przez administratora, to właścicielem wygenerowanych plików będzie użytkownik podany w TrustedUser.

  Flags

-C  Używa podanego pliku konfiguracyjnego sendmaila do wyszukania w nim wartości opcji TrustedUser.

-N  Kończy napisy w mapie znakiem null. Musi odpowiadać wartości flagi -N w liniach "K" pliku sendmail.cf.

-c  Używa podanego rozmiaru bufora dla map hash i B-Tree.

-D  Używa podanego znaku, zamiast domyślnego znaku "#", jako znaku rozpoczynającego (ignorowane) linie komentarze.

-d  Dopuszcza zduplikowane klucze w mapie. Jest to dozwolone tylko w mapach formatu B-Tree. Jeśli odczytane zostaną dwa identyczne klucze, oba zostaną dołączone do mapy.

-e  Dopuszcza puste wartości (prawa strona przypisań).

-f  Zwyczajowo wszystkie wielkie litery klucza są zmieniane na małe litery. Flaga ta temu zapobiega. Jest przeznaczona do użytku z flagą -f w linii K pliku konfiguracyjnego sendmail.cf. Wielkość liter w wartościach mapy nigdy nie jest zmieniana.

-l  Wyświetla obsługiwane typy map.

-o  Append to an old file. This allows you to augment an existing file. Note: this might not be supported by all database types, e.g., cdb.

-r  Zezwala na podmienianie istniejących kluczy. Domyślnie makemap narzeka, jeśli klucz zostanie powtórzony i go nie wstawia.

-s  Ignoruje sprawdzenia bezpieczeństwa tworzonych map. Sprawdzenia te obejmują dowiązania twarde lub symboliczne w katalogach, w których wszyscy mogą zapisywać.

-t  Używa zamiast spacji podanego znaku rozdzielającego (także do wypisywania zawartości mapy).

-u  Wypisuje zawartość bazy danych na standardowe wyjście.

-v  Szczegółowo wypisuje, co się dzieje.

PRZYKŁADY
makemap hash /etc/mail/access < /etc/mail/access

ZOBACZ TAKŻE
sendmail(8), newaliases(1)

HISTORIA
Polecenie makemap pojawiło się w 4.4BSD.

  T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej